summaryrefslogtreecommitdiffstats
path: root/libraries/gdal
diff options
context:
space:
mode:
author Marco Cecchetti2010-05-12 17:40:42 +0200
committer David Somero2010-05-12 17:40:42 +0200
commit37586e01d6c33ce2b1100a8760afc1953e3c9c02 (patch)
tree017d57c8362244cc58cb917158ae5df89f896478 /libraries/gdal
parentfc617112caa4ca34c3eac0b02bf653b4ee68a801 (diff)
downloadslackbuilds-37586e01d6c33ce2b1100a8760afc1953e3c9c02.tar.gz
libraries/gdal: Updated for version 1.6.0
Diffstat (limited to 'libraries/gdal')
-rw-r--r--libraries/gdal/README7
-rw-r--r--libraries/gdal/gdal.SlackBuild61
-rw-r--r--libraries/gdal/gdal.info12
3 files changed, 46 insertions, 34 deletions
diff --git a/libraries/gdal/README b/libraries/gdal/README
index 52ed56ef01..a7768f7c39 100644
--- a/libraries/gdal/README
+++ b/libraries/gdal/README
@@ -7,3 +7,10 @@ command-line utilities for data translation and processing.
The related OGR library (which is part of the GDAL source tree)
provides a similar capability for simple features vector data.
+
+- Dependencies
+ libcurl >= 7.19.2-i486-1
+ zlib >= 1.2.3-i486-2
+ swig >= 1.3.35-i486-1_SBo
+ geos >= 3.0.0-i486-1_SBo
+ proj >= 4.6.0-i486-1_SBo \ No newline at end of file
diff --git a/libraries/gdal/gdal.SlackBuild b/libraries/gdal/gdal.SlackBuild
index 0053299b49..e23fd21364 100644
--- a/libraries/gdal/gdal.SlackBuild
+++ b/libraries/gdal/gdal.SlackBuild
@@ -1,14 +1,13 @@
#!/bin/sh
-
# Slackware build script for GDAL
-
-# Written by Aleksandar B. Samardzic <asamardzic@matf.bg.ac.yu>
+# Written by Marco Cecchetti <mrc.ild@gmail.com>
PRGNAM=gdal
-VERSION=1.4.2
+VERSION=1.6.0
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -18,18 +17,23 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
fi
-set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP
+cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
-cd $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -37,32 +41,33 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
- --enable-static=no
-
-make
-make install DESTDIR=$PKG
+ --with-threads \
+ --with-geos=yes \
+ --with-ogr=yes \
+ --with-libz=/usr/lib \
+ --with-libtiff=internal \
+ --with-hide-internal-symbols=yes \
+ --with-curl=/usr/bin/curl-config \
+ --without-grib \
+ --with-static-proj4 \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
-
-( cd $PKG
- # Remove 'special' files
- find . -name perllocal.pod \
- -o -name ".packlist" \
- -o -name "*.bs" \
- | xargs rm -f
-)
+cp -a man/ $PKG/usr/
+gzip -9 $PKG/usr/man/man?/* || exit 1
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a COMMITERS HOWTO-RELEASE NEWS PROVENANCE.TXT VERSION \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COMMITERS HOWTO-RELEASE LICENSE.TXT NEWS PROVENANCE.TXT VERSION doc/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/libraries/gdal/gdal.info b/libraries/gdal/gdal.info
index e22452a0e0..0c8b5fa1f9 100644
--- a/libraries/gdal/gdal.info
+++ b/libraries/gdal/gdal.info
@@ -1,8 +1,8 @@
PRGNAM="gdal"
-VERSION="1.4.2"
+VERSION="1.6.0"
HOMEPAGE="http://www.gdal.org/"
-DOWNLOAD="http://download.osgeo.org/gdal/gdal-1.4.2.tar.gz"
-MD5SUM="dedf5ff6a766e85b9a2b5c54c1c59221"
-MAINTAINER="Aleksandar B. Samardzic"
-EMAIL="asamardzic@matf.bg.ac.yu"
-APPROVED="rworkman"
+DOWNLOAD="http://download.osgeo.org/gdal/gdal-1.6.0.tar.gz"
+MD5SUM="0c53697511f489455f8b60e843986568"
+MAINTAINER="Marco Cecchetti"
+EMAIL="mrc.ildp@gmail.com"
+APPROVED="dsomero"